### Function

# Gegl scratch_alloc

since: 0.4

#### Declaration [src]

    gpointer
    gegl_scratch_alloc (
      gsize size
    )

#### Description [src]

Allocates `size` bytes of scratch memory.

Returns a pointer to the allocated memory.

Available since: 0.4

This function is not directly available to language bindings.

#### Parameters

`size`

  Type: `gsize`

  The number of bytes to allocte.

#### Return value

Type: `gpointer`

No description available.

The data is owned by the called function.
The return value can be `NULL`.